<?php
		header("Access-Control-Allow-Origin: *");
		header("Access-Control-Allow-Headers: access");
		header("Access-Control-Allow-Methods: GET");
		header("Access-Control-Allow-Credentials: true");
		header("Content-Type: application/json; charset=UTF-8");

		include_once '../Database.php';
		include_once 'concepto.php';

		$database = new DataBase();
		$db = $database->getConnection();

		$concepto = new Concepto($db);
		try{
			$stmt = $concepto->select("select * from conceptos order by id desc");
		$num = $stmt->rowCount();

		if($num>0){
		    $lista=array();
			while($row =$stmt->fetch(PDO::FETCH_ASSOC)){
				extract($row);
				$add_item=array(
					"id"=>$id,
					"nombre"=>$nombre,
					"descripcion"=>$descripcion,
					"tipo"=>$tipo,
					"costo"=>$costo,
					"fecha"=>$fecha,
					"usuario"=>$usuario,
					"estado"=>$estado,
					"imagen"=>$imagen,
				);
				array_push($lista,$add_item);
			}
			echo json_encode($lista);
		}
		else {
			echo json_encode(array("Mensaje"=>"No se han encontrado registros"));
		}
	}catch(Exeption $e){
		echo json_encode(array("Error"=>"Error ".$e));
	}
	
		
?>